if "%1"=="" pause 0
if "%2"=="" pause 0
if not exist %1 pause 0
files\solving_validator.exe < %1
if errorlevel 1 pause 0
copy %1 solving.in
solutions\solving_ka.exe
if errorlevel 1 pause 0
del solving.in
if not exist solving.out pause 0
move solving.out %2
check.exe %1 %2 %2
if errorlevel 1 pause 0
